// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S006_MaskAcronymsIgnoreNumbers.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S006_MaskAcronymsIgnoreNumbers extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1, 1
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\266\u0200"+
    "\10\u0600\u1020\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\3\1\4\1\5\22\0\1\1"+
    "\1\0\1\6\1\0\1\7\1\10\1\11\1\12\4\0"+
    "\1\13\1\14\1\15\1\16\1\17\1\20\1\21\3\22"+
    "\2\23\1\24\1\25\1\26\1\27\5\0\1\30\1\31"+
    "\1\32\1\33\1\34\1\35\1\36\1\35\1\37\1\35"+
    "\1\40\1\41\1\42\1\43\1\44\1\45\1\46\1\47"+
    "\1\50\1\51\1\52\1\53\3\35\1\54\1\55\1\56"+
    "\1\57\1\0\1\60\1\12\1\61\1\62\1\63\1\64"+
    "\1\65\1\66\1\67\1\66\1\70\1\66\1\71\1\72"+
    "\1\73\1\74\1\75\1\76\1\77\1\100\1\101\1\102"+
    "\1\103\1\104\3\66\1\105\12\0\1\3\35\0\1\7"+
    "\14\0\1\106\3\0\1\12\13\0\6\107\1\0\11\107"+
    "\1\0\6\107\2\0\4\107\3\0\6\107\1\0\11\107"+
    "\1\0\6\107\2\0\4\107\53\0\2\107\6\0\2\110"+
    "\66\0\2\107\4\0\2\107\17\0\1\111\u0188\0\2\107"+
    "\216\0\2\107\42\0\2\107\104\0\1\1\20\0\2\14"+
    "\4\0\1\12\16\0\2\3\202\0\1\7\175\0\1\112"+
    "\325\0\u0100\3";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1792];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\2\0\7\1\2\2\143\0\3\3\100\0\5\3\2\0"+
    "\1\3\40\0\4\4\2\0\1\4\12\0\1\4\30\0"+
    "\1\5\46\0\1\3\20\0\4\3\3\0\2\6\31\0"+
    "\3\6\16\0\1\3\12\0\4\7\57\0\3\6\10\0"+
    "\3\7\4\0\3\3\44\0\3\6\30\0\11\3\1\0"+
    "\3\3\62\0\1\10\2\0\3\3\1\0\7\3\7\0"+
    "\1\3\11\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[606];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\113\0\226\0\341\0\u012c\0\u0177\0\u01c2\0\u020d"+
    "\0\u0258\0\u0177\0\u02a3\0\u02ee\0\u0339\0\u0384\0\u03cf\0\u041a"+
    "\0\u0465\0\u04b0\0\u04fb\0\u0546\0\u0591\0\u05dc\0\u0627\0\u0672"+
    "\0\u06bd\0\u0708\0\u0753\0\u079e\0\u07e9\0\u0834\0\226\0\u087f"+
    "\0\u08ca\0\u0915\0\u0960\0\u09ab\0\u09f6\0\u0a41\0\u0a8c\0\u0ad7"+
    "\0\u0b22\0\u0b6d\0\u0bb8\0\u0c03\0\u0c4e\0\u0c99\0\u0ce4\0\u0d2f"+
    "\0\u0d7a\0\u0dc5\0\u0e10\0\u0e5b\0\u0ea6\0\u0ef1\0\u0f3c\0\u0f87"+
    "\0\u0fd2\0\u101d\0\u1068\0\u10b3\0\u10fe\0\u1149\0\u1194\0\u11df"+
    "\0\u122a\0\u1275\0\u12c0\0\u130b\0\u1356\0\u13a1\0\u13ec\0\u1437"+
    "\0\u1482\0\u14cd\0\u1518\0\u1563\0\u15ae\0\u15f9\0\u1644\0\u168f"+
    "\0\u16da\0\u1725\0\u1770\0\u17bb\0\u1806\0\u1851\0\u189c\0\u18e7"+
    "\0\u1932\0\u197d\0\u19c8\0\u1a13\0\u1a5e\0\u1aa9\0\u1af4\0\u1b3f"+
    "\0\u1b8a\0\u1bd5\0\u1c20\0\u1c6b\0\u1cb6\0\u1d01\0\u1d4c\0\u1d97"+
    "\0\u1de2\0\u1e2d\0\u1e78\0\u1ec3\0\u1f0e\0\u1f59\0\u0177\0\u1fa4"+
    "\0\u1fef\0\u203a\0\u2085\0\u20d0\0\u211b\0\u2166\0\u21b1\0\u21fc"+
    "\0\u2247\0\u2292\0\u22dd\0\u2328\0\u2373\0\u23be\0\u2409\0\u2454"+
    "\0\u249f\0\u24ea\0\u2535\0\u2580\0\u25cb\0\u2616\0\u2661\0\u26ac"+
    "\0\u26f7\0\u2742\0\u278d\0\u27d8\0\u2823\0\u286e\0\u28b9\0\u2904"+
    "\0\u294f\0\u299a\0\u29e5\0\u2a30\0\u2a7b\0\u2ac6\0\u2b11\0\u2b5c"+
    "\0\u2ba7\0\u2bf2\0\u2c3d\0\u2c88\0\u2cd3\0\u2d1e\0\u2d69\0\u2db4"+
    "\0\u2dff\0\u2e4a\0\u2e95\0\u2ee0\0\u2f2b\0\u2f76\0\u2fc1\0\u300c"+
    "\0\u3057\0\u30a2\0\u30ed\0\u3138\0\u3183\0\u31ce\0\u3219\0\u3264"+
    "\0\u32af\0\u32fa\0\u3345\0\u0f3c\0\u3390\0\u33db\0\u3426\0\u3471"+
    "\0\u12c0\0\u34bc\0\u3507\0\u3552\0\u359d\0\u35e8\0\u3633\0\u367e"+
    "\0\u36c9\0\u3714\0\u375f\0\u37aa\0\u37f5\0\u3840\0\u388b\0\u38d6"+
    "\0\u3921\0\u396c\0\u39b7\0\u3a02\0\u3a4d\0\u3a98\0\u3ae3\0\u3b2e"+
    "\0\u3b79\0\u3bc4\0\u3c0f\0\u3c5a\0\u32fa\0\u3390\0\u33db\0\u3ca5"+
    "\0\u3cf0\0\u0177\0\u3d3b\0\u3d86\0\u1482\0\u3dd1\0\u3e1c\0\u1518"+
    "\0\u3e67\0\u3eb2\0\u3efd\0\u3f48\0\u3f93\0\u3fde\0\u4029\0\u4074"+
    "\0\u40bf\0\u410a\0\u4155\0\u41a0\0\u41eb\0\u4236\0\u4281\0\u42cc"+
    "\0\u4317\0\u4362\0\u43ad\0\u43f8\0\u4443\0\u448e\0\u44d9\0\u4524"+
    "\0\u456f\0\u45ba\0\u4605\0\u4650\0\u469b\0\u46e6\0\u4731\0\u477c"+
    "\0\u47c7\0\u4812\0\u485d\0\u0177\0\u48a8\0\u48f3\0\u493e\0\u4989"+
    "\0\u49d4\0\u4a1f\0\u4a6a\0\u4ab5\0\u4b00\0\u4b4b\0\u4b96\0\u4be1"+
    "\0\u4c2c\0\u4c77\0\u4cc2\0\u4d0d\0\u4d58\0\u4da3\0\u4dee\0\u4e39"+
    "\0\u4e84\0\u4ecf\0\u4f1a\0\u4f65\0\u4fb0\0\u4ffb\0\u5046\0\u5091"+
    "\0\u50dc\0\u5127\0\u5172\0\u51bd\0\u5208\0\u5253\0\u529e\0\u52e9"+
    "\0\u5334\0\u537f\0\u537f\0\u53ca\0\u5415\0\u5460\0\u54ab\0\u54f6"+
    "\0\u5541\0\u558c\0\u55d7\0\u5622\0\u566d\0\u56b8\0\u5703\0\u574e"+
    "\0\u5799\0\u57e4\0\u582f\0\u587a\0\u58c5\0\u5910\0\u595b\0\u59a6"+
    "\0\u59f1\0\u5a3c\0\u0177\0\u5a87\0\u5ad2\0\u5b1d\0\u5b68\0\u5bb3"+
    "\0\u5bfe\0\u5c49\0\u5c94\0\u5cdf\0\u5d2a\0\u5d75\0\u5dc0\0\u5e0b"+
    "\0\u5e56\0\u5ea1\0\u5eec\0\u5f37\0\u5f82\0\u5fcd\0\u6018\0\u6063"+
    "\0\u60ae\0\u60f9\0\u6144\0\u618f\0\u61da\0\u6225\0\u469b\0\u6270"+
    "\0\u62bb\0\u6306\0\u6351\0\u639c\0\u63e7\0\u6432\0\u647d\0\u64c8"+
    "\0\u6513\0\u655e\0\u65a9\0\u65f4\0\u663f\0\u668a\0\u66d5\0\u6720"+
    "\0\u676b\0\u67b6\0\u6801\0\u684c\0\u6897\0\u68e2\0\u692d\0\u6978"+
    "\0\u69c3\0\u0177\0\u6a0e\0\u6a59\0\u6aa4\0\u6aef\0\u6b3a\0\u6b85"+
    "\0\u6bd0\0\u6c1b\0\u6c66\0\u6cb1\0\u6cfc\0\u6d47\0\u6d92\0\u6ddd"+
    "\0\u6e28\0\u6e73\0\u6ebe\0\u6f09\0\u6f54\0\u66d5\0\u6f9f\0\u6fea"+
    "\0\u7035\0\u7080\0\u70cb\0\u7116\0\u7161\0\u71ac\0\u71f7\0\u7242"+
    "\0\u587a\0\u5910\0\u595b\0\u728d\0\u72d8\0\u7323\0\u736e\0\u73b9"+
    "\0\u7404\0\u744f\0\u749a\0\u74e5\0\u7530\0\u757b\0\u75c6\0\u7611"+
    "\0\u765c\0\u76a7\0\u76f2\0\u773d\0\u6a0e\0\u7788\0\u6aa4\0\u77d3"+
    "\0\u781e\0\u7869\0\u78b4\0\u78ff\0\u794a\0\u7995\0\u79e0\0\u7a2b"+
    "\0\u7a76\0\u7ac1\0\u7b0c\0\u7b57\0\u7ba2\0\u7bed\0\u7c38\0\u7c83"+
    "\0\u7cce\0\u7d19\0\u7d64\0\u7daf\0\u7dfa\0\u7e45\0\u7e90\0\u7edb"+
    "\0\u7f26\0\u7f71\0\u6a0e\0\u6aa4\0\u7fbc\0\u8007\0\u7c38\0\u7cce"+
    "\0\u8052\0\u809d\0\u80e8\0\u8133\0\u817e\0\u81c9\0\u8214\0\u825f"+
    "\0\u82aa\0\u82f5\0\u8340\0\u838b\0\u83d6\0\u8421\0\u846c\0\u84b7"+
    "\0\u8502\0\u854d\0\u8598\0\u85e3\0\u862e\0\u7a2b\0\u8679\0\u7ac1"+
    "\0\u86c4\0\u870f\0\u875a\0\u87a5\0\u87f0\0\u883b\0\u8886\0\u88d1"+
    "\0\u891c\0\u8967\0\u7a2b\0\u7ac1\0\u89b2\0\u89fd\0\u8a48\0\u8a93"+
    "\0\u8ade\0\u8b29\0\u8b74\0\u8bbf\0\u8c0a\0\u8c55\0\u8ca0\0\u8ceb"+
    "\0\u4fb0\0\u8d36\0\u4ffb\0\u5046\0\u101d\0\u50dc\0\u1194\0\u11df"+
    "\0\u1275\0\u8d81\0\u8dcc\0\u8e17\0\u8e62\0\u8ead\0\u8ef8\0\u8f43"+
    "\0\u8f8e\0\u8fd9\0\u9024\0\u906f\0\u90ba\0\u9105\0\u9150\0\u919b"+
    "\0\u91e6\0\u9231\0\u927c\0\u92c7\0\u9312\0\u935d\0\u93a8\0\u93f3"+
    "\0\u943e\0\u9489\0\u94d4\0\u951f\0\u956a\0\u95b5\0\u9600\0\u964b"+
    "\0\u9696\0\u96e1\0\u972c\0\u9777\0\u97c2\0\u8dcc\0\u8e62\0\u980d"+
    "\0\u9858\0\u98a3\0\u98ee\0\u9939\0\u9984\0\u99cf\0\u9a1a\0\u9a65"+
    "\0\u9ab0\0\u9afb\0\u9b46\0\u9b91\0\u9bdc\0\u9c27\0\u9c72\0\u0177"+
    "\0\u9cbd\0\u9d08\0\u65f4\0\u9d53\0\u663f\0\u9d9e\0\u35e8\0\u9de9"+
    "\0\u3633\0\u10fe\0\u1149\0\u122a\0\u68e2\0\u9e34\0\u9e7f\0\u9eca"+
    "\0\u9f15\0\u9f60\0\u9fab\0\u9ff6\0\u781e\0\ua041\0\ua08c\0\ua0d7"+
    "\0\ua122\0\ua16d\0\ua1b8\0\ua203\0\ua24e\0\ua299";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[606];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\5\3\1\4\6\3\1\5\2\3\7\6\2\3\13\7"+
    "\1\10\11\7\1\11\2\3\1\5\13\7\1\10\11\7"+
    "\1\3\1\7\3\3\55\12\1\13\35\12\7\0\1\14"+
    "\2\0\1\15\4\0\1\16\1\17\1\20\4\21\2\0"+
    "\1\22\1\23\1\24\1\25\1\26\4\27\1\30\3\27"+
    "\1\31\1\32\1\27\1\33\1\34\1\35\2\27\4\0"+
    "\1\22\1\23\1\24\1\25\1\26\4\27\1\30\3\27"+
    "\1\31\1\32\1\27\1\33\1\34\1\35\2\27\3\0"+
    "\1\36\3\0\1\37\4\0\1\14\2\0\1\15\4\0"+
    "\1\16\1\17\1\20\4\21\2\0\1\22\1\23\1\24"+
    "\1\25\1\26\4\27\1\30\3\27\1\31\1\32\1\27"+
    "\1\33\1\34\1\35\2\27\4\0\1\22\1\23\1\24"+
    "\1\25\1\26\4\27\1\30\3\27\1\31\1\32\1\27"+
    "\1\33\1\34\1\35\2\27\3\0\1\36\2\0\2\40"+
    "\1\0\2\40\1\0\1\14\1\0\1\41\1\42\4\0"+
    "\1\43\1\44\1\45\4\46\2\0\1\22\1\23\1\24"+
    "\1\25\1\26\4\27\1\30\3\27\1\31\1\32\1\27"+
    "\1\33\1\34\1\35\2\27\4\0\1\22\1\23\1\24"+
    "\1\25\1\26\4\27\1\30\3\27\1\31\1\32\1\27"+
    "\1\33\1\34\1\35\2\27\3\0\1\36\133\0\7\47"+
    "\66\0\2\50\1\0\2\50\3\0\1\51\1\52\2\0"+
    "\1\53\1\0\1\54\1\55\1\56\4\54\15\0\2\57"+
    "\2\0\1\57\2\0\1\60\21\0\2\57\2\0\1\57"+
    "\2\0\1\60\2\0\1\50\13\0\1\14\2\0\1\15"+
    "\4\0\1\16\1\17\1\20\4\21\2\0\1\22\1\23"+
    "\1\24\1\25\1\26\4\27\1\61\3\27\1\31\1\32"+
    "\1\27\1\33\1\34\1\35\2\27\4\0\1\22\1\23"+
    "\1\24\1\25\1\26\4\27\1\61\3\27\1\31\1\32"+
    "\1\27\1\33\1\34\1\35\2\27\3\0\1\36\17\0"+
    "\1\62\75\0\2\14\1\0\2\14\3\0\1\63\5\0"+
    "\7\64\104\0\7\65\66\0\2\66\1\0\2\66\1\0"+
    "\2\67\1\70\1\0\1\71\1\72\1\73\1\0\7\74"+
    "\4\0\1\75\1\76\1\77\4\0\1\100\1\101\2\0"+
    "\1\102\2\0\1\103\7\0\1\72\2\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\2\0\1\102\2\0\1\103"+
    "\7\0\1\103\2\0\2\66\1\0\2\66\1\0\2\67"+
    "\1\70\1\0\1\104\1\72\1\73\1\0\5\74\1\105"+
    "\1\106\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\72\2\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\103\2\0\2\66\1\0\2\66\1\0"+
    "\2\67\1\70\1\0\1\104\1\72\1\73\1\0\1\107"+
    "\6\74\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\72\2\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\103\2\0\2\66\1\0\2\66\1\0"+
    "\2\67\1\70\1\0\1\104\1\72\1\73\1\0\7\74"+
    "\4\0\1\75\1\76\1\77\4\0\1\100\1\101\2\0"+
    "\1\102\2\0\1\103\7\0\1\72\2\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\2\0\1\102\2\0\1\103"+
    "\7\0\1\103\16\0\1\110\1\111\24\0\1\112\12\0"+
    "\1\113\15\0\1\112\33\0\1\110\1\111\20\0\1\114"+
    "\16\0\1\113\11\0\1\114\17\0\1\114\17\0\1\110"+
    "\1\111\25\0\1\115\11\0\1\113\16\0\1\115\32\0"+
    "\1\110\1\111\15\0\1\116\7\0\1\117\11\0\1\113"+
    "\6\0\1\116\7\0\1\117\32\0\1\110\1\111\33\0"+
    "\1\120\3\0\1\113\24\0\1\120\24\0\1\110\1\111"+
    "\37\0\1\113\51\0\1\110\1\111\20\0\1\121\16\0"+
    "\1\113\11\0\1\121\17\0\1\121\17\0\1\110\1\111"+
    "\11\0\1\122\25\0\1\113\2\0\1\122\46\0\1\110"+
    "\1\111\33\0\1\123\3\0\1\113\24\0\1\123\24\0"+
    "\1\110\1\111\32\0\1\124\4\0\1\113\23\0\1\124"+
    "\25\0\1\110\1\111\30\0\1\125\6\0\1\113\21\0"+
    "\1\125\27\0\1\126\1\111\37\0\1\113\105\0\1\124"+
    "\30\0\1\124\11\0\2\40\1\0\2\40\3\0\1\41"+
    "\1\127\4\0\1\130\1\131\1\132\4\130\130\0\1\133"+
    "\30\0\1\133\35\0\7\134\66\0\2\66\1\0\2\66"+
    "\1\0\2\67\1\70\1\0\1\71\1\72\1\73\1\0"+
    "\7\135\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\72\2\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\103\2\0\2\66\1\0\2\66\1\0"+
    "\2\67\1\70\1\0\1\104\1\72\1\73\1\0\5\135"+
    "\1\136\1\137\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\72\2\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\103\2\0\2\66\1\0\2\66"+
    "\1\0\2\67\1\70\1\0\1\104\1\72\1\73\1\0"+
    "\1\140\6\135\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\72\2\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\103\2\0\2\66\1\0\2\66"+
    "\1\0\2\67\1\70\1\0\1\104\1\72\1\73\1\0"+
    "\7\135\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\72\2\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\103\14\0\1\141\1\0\1\141\1\0"+
    "\7\142\66\0\2\50\1\0\2\50\3\0\1\51\1\52"+
    "\4\0\1\143\1\144\1\145\4\143\130\0\1\146\30\0"+
    "\1\146\35\0\7\143\66\0\2\50\1\0\2\50\3\0"+
    "\1\51\1\52\4\0\1\143\1\144\1\145\4\143\60\0"+
    "\1\50\17\0\1\141\1\0\1\141\1\0\7\147\100\0"+
    "\1\141\1\0\1\141\1\0\5\147\1\150\1\151\100\0"+
    "\1\141\1\0\1\141\1\0\1\152\6\147\66\0\2\50"+
    "\1\0\2\50\3\0\1\51\1\52\2\0\1\50\1\0"+
    "\1\143\1\144\1\145\4\143\127\0\1\153\30\0\1\153"+
    "\34\0\1\110\1\111\20\0\1\121\1\154\15\0\1\113"+
    "\11\0\1\121\1\154\16\0\1\121\1\0\1\154\41\0"+
    "\1\155\30\0\1\155\63\0\1\156\30\0\1\156\16\0"+
    "\5\157\1\160\5\157\1\161\1\157\1\161\1\157\7\162"+
    "\2\157\25\0\4\157\25\0\1\157\1\0\3\157\17\0"+
    "\7\163\66\0\2\66\1\0\2\66\1\0\2\67\1\70"+
    "\2\0\1\72\15\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\72\2\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\103\1\0\5\157\1\160\11\157"+
    "\7\0\2\157\25\0\4\157\25\0\1\157\1\0\3\157"+
    "\43\0\1\164\30\0\1\164\35\0\7\165\66\0\2\72"+
    "\1\0\2\72\3\0\1\166\5\0\7\167\104\0\7\170"+
    "\66\0\2\171\1\0\2\171\1\0\2\67\1\172\1\0"+
    "\1\104\1\173\1\73\1\0\7\174\4\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\2\0\1\102\2\0\1\103"+
    "\7\0\1\173\2\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\103\35\0"+
    "\1\175\30\0\1\175\61\0\1\176\7\0\1\177\20\0"+
    "\1\176\7\0\1\177\67\0\1\200\30\0\1\200\46\0"+
    "\1\201\30\0\1\201\17\0\1\201\41\0\1\202\30\0"+
    "\1\202\17\0\1\202\32\0\1\203\3\0\1\204\24\0"+
    "\1\203\3\0\1\204\76\0\1\205\30\0\1\205\27\0"+
    "\7\206\66\0\2\171\1\0\2\171\1\0\2\67\1\172"+
    "\1\0\1\104\1\173\1\73\1\0\4\174\3\207\4\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\173\2\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\102\2\0\1\103\7\0"+
    "\1\103\2\0\2\171\1\0\2\171\1\0\2\67\1\172"+
    "\1\0\1\104\1\173\1\73\1\0\7\207\4\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\173\2\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\2\0\1\102\2\0\1\103\7\0\1\103"+
    "\2\0\2\171\1\0\2\171\1\0\2\67\1\172\1\0"+
    "\1\104\1\173\1\73\1\0\3\207\4\174\4\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\173\2\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\2\0\1\102\2\0\1\103\7\0\1\103"+
    "\31\0\25\210\4\0\25\210\35\0\25\211\4\0\25\211"+
    "\50\0\1\212\30\0\1\212\46\0\25\213\4\0\25\213"+
    "\41\0\1\214\30\0\1\214\100\0\1\215\30\0\1\215"+
    "\40\0\1\114\30\0\1\114\70\0\1\216\30\0\1\216"+
    "\67\0\1\217\30\0\1\217\61\0\1\220\30\0\1\220"+
    "\50\0\1\221\30\0\1\221\62\0\1\222\30\0\1\222"+
    "\17\0\1\222\36\0\1\223\30\0\1\223\64\0\1\114"+
    "\30\0\1\114\17\0\1\114\32\0\2\210\1\224\22\210"+
    "\4\0\2\210\1\224\22\210\24\0\7\130\104\0\7\225"+
    "\104\0\5\225\1\226\1\227\104\0\1\230\6\225\116\0"+
    "\1\231\30\0\1\231\47\0\7\232\66\0\2\233\1\0"+
    "\2\233\1\0\2\67\1\234\1\0\1\104\1\235\1\73"+
    "\1\0\7\174\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\235\2\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\103\2\0\2\233\1\0\2\233"+
    "\1\0\2\67\1\234\1\0\1\104\1\235\1\73\1\0"+
    "\4\174\3\236\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\235\2\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\103\2\0\2\233\1\0\2\233"+
    "\1\0\2\67\1\234\1\0\1\104\1\235\1\73\1\0"+
    "\7\236\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\235\2\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\103\2\0\2\233\1\0\2\233\1\0"+
    "\2\67\1\234\1\0\1\104\1\235\1\73\1\0\3\236"+
    "\4\174\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\235\2\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\102\2\0"+
    "\1\103\7\0\1\103\20\0\7\237\100\0\1\141\1\0"+
    "\1\141\1\0\7\240\104\0\7\241\104\0\5\241\1\242"+
    "\1\243\104\0\1\244\6\241\116\0\1\245\30\0\1\245"+
    "\31\0\2\241\1\0\2\241\3\0\1\246\1\0\1\141"+
    "\1\247\1\141\1\0\7\240\32\0\1\247\33\0\2\241"+
    "\1\0\2\241\3\0\1\246\1\0\1\141\1\247\1\141"+
    "\1\0\4\240\3\250\32\0\1\247\33\0\2\241\1\0"+
    "\2\241\3\0\1\246\1\0\1\141\1\247\1\141\1\0"+
    "\7\250\32\0\1\247\33\0\2\241\1\0\2\241\3\0"+
    "\1\246\1\0\1\141\1\247\1\141\1\0\3\250\4\240"+
    "\32\0\1\247\33\0\2\50\1\0\2\50\3\0\1\51"+
    "\1\52\2\0\1\50\1\0\1\143\1\144\1\145\4\143"+
    "\6\0\1\251\30\0\1\251\70\0\1\252\30\0\1\252"+
    "\56\0\1\253\30\0\1\253\20\0\1\253\31\0\1\254"+
    "\30\0\1\254\32\0\1\157\127\0\7\255\65\0\5\157"+
    "\1\160\5\157\1\161\1\157\1\161\1\157\7\256\2\157"+
    "\25\0\4\157\25\0\1\157\1\0\3\157\1\0\2\163"+
    "\1\0\2\163\3\0\1\257\2\0\1\260\43\0\1\260"+
    "\63\0\1\261\30\0\1\261\30\0\1\157\2\262\1\157"+
    "\1\262\1\263\1\157\2\264\1\265\1\157\1\266\1\157"+
    "\1\266\1\157\7\267\2\157\2\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\270\2\0\1\103\4\0"+
    "\4\157\2\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\270\2\0\1\103\4\0\1\157\1\0\1\157"+
    "\1\271\1\157\43\0\1\272\30\0\1\272\17\0\2\273"+
    "\1\0\2\273\3\0\1\274\5\0\7\167\17\0\1\275"+
    "\30\0\1\275\15\0\2\276\1\0\2\276\1\0\1\67"+
    "\1\0\1\277\1\0\1\300\1\0\1\301\1\0\7\302"+
    "\4\0\1\75\1\76\1\77\4\0\1\100\1\101\5\0"+
    "\1\103\12\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\5\0\1\103\7\0\1\103\2\0\2\171\1\0\2\171"+
    "\1\0\2\67\1\172\2\0\1\173\15\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\2\0\1\102\2\0\1\103"+
    "\7\0\1\173\2\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\102\2\0\1\103\7\0\1\103\44\0"+
    "\1\303\30\0\1\303\17\0\2\173\1\0\2\173\3\0"+
    "\1\304\1\305\4\0\1\306\1\307\1\310\4\306\66\0"+
    "\2\66\1\0\2\66\1\0\2\67\1\70\1\0\1\104"+
    "\1\72\1\73\1\0\7\311\4\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\102\2\0\1\103\7\0"+
    "\1\72\2\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\103\44\0\1\312"+
    "\30\0\1\312\50\0\1\313\30\0\1\313\70\0\1\314"+
    "\12\0\1\315\15\0\1\314\12\0\1\315\54\0\1\316"+
    "\30\0\1\316\61\0\1\317\30\0\1\317\50\0\1\320"+
    "\2\0\1\321\25\0\1\320\2\0\1\321\56\0\1\322"+
    "\30\0\1\322\72\0\1\323\30\0\1\323\46\0\1\324"+
    "\30\0\1\324\26\0\2\325\1\0\2\325\1\0\2\67"+
    "\1\326\1\0\1\327\1\0\1\327\1\0\7\330\4\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\270"+
    "\2\0\1\103\12\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\2\0\1\270\2\0\1\103\7\0\1\103\2\0"+
    "\2\66\1\0\2\66\1\0\2\67\1\70\1\0\1\104"+
    "\1\72\1\73\1\0\7\331\4\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\102\2\0\1\103\7\0"+
    "\1\72\2\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\102\2\0\1\103\7\0\1\103\1\0\5\332"+
    "\1\333\7\332\1\334\1\332\7\0\2\332\25\0\4\332"+
    "\25\0\1\332\1\0\10\332\1\333\10\332\1\335\7\0"+
    "\2\332\25\0\4\332\25\0\1\332\1\0\3\332\30\0"+
    "\1\336\6\0\1\337\21\0\1\336\6\0\1\337\17\0"+
    "\1\337\2\0\5\332\1\333\11\332\7\0\2\332\25\0"+
    "\1\332\1\340\2\332\25\0\1\332\1\0\3\332\43\0"+
    "\1\341\30\0\1\341\55\0\1\342\30\0\1\342\17\0"+
    "\1\342\43\0\1\343\30\0\1\343\64\0\1\14\30\0"+
    "\1\14\45\0\1\14\3\0\1\14\24\0\1\14\3\0"+
    "\1\14\26\0\2\344\1\0\2\344\3\0\1\345\3\0"+
    "\1\344\1\0\7\346\10\0\1\347\1\350\27\0\1\347"+
    "\1\350\17\0\1\350\45\0\1\351\30\0\1\351\65\0"+
    "\1\352\30\0\1\352\12\0\5\332\1\333\7\332\1\353"+
    "\1\332\7\0\2\332\25\0\4\332\25\0\1\332\1\0"+
    "\3\332\1\0\2\225\1\0\2\225\3\0\1\354\2\0"+
    "\1\355\43\0\1\355\33\0\2\225\1\0\2\225\3\0"+
    "\1\354\2\0\1\355\6\0\3\130\32\0\1\355\33\0"+
    "\2\225\1\0\2\225\3\0\1\354\2\0\1\355\2\0"+
    "\7\130\32\0\1\355\33\0\2\225\1\0\2\225\3\0"+
    "\1\354\2\0\1\355\2\0\3\130\36\0\1\355\102\0"+
    "\1\356\30\0\1\356\7\0\1\356\2\0\2\232\1\0"+
    "\2\232\3\0\1\357\2\0\1\360\43\0\1\360\33\0"+
    "\2\233\1\0\2\233\1\0\2\67\1\234\2\0\1\235"+
    "\15\0\1\75\1\76\1\77\4\0\1\100\1\101\2\0"+
    "\1\102\2\0\1\103\7\0\1\235\2\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\2\0\1\102\2\0\1\103"+
    "\7\0\1\103\44\0\1\361\30\0\1\361\17\0\2\235"+
    "\1\0\2\235\3\0\1\362\1\363\4\0\1\364\1\365"+
    "\1\366\4\364\66\0\2\66\1\0\2\66\1\0\2\67"+
    "\1\70\1\0\1\104\1\72\1\73\1\0\7\367\4\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\2\0\1\102"+
    "\2\0\1\103\7\0\1\72\2\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\102\2\0\1\103\7\0"+
    "\1\103\20\0\7\370\100\0\1\141\1\0\1\141\1\0"+
    "\7\371\66\0\2\241\1\0\2\241\3\0\1\246\2\0"+
    "\1\247\43\0\1\247\33\0\2\241\1\0\2\241\3\0"+
    "\1\246\2\0\1\247\6\0\3\143\32\0\1\247\33\0"+
    "\2\241\1\0\2\241\3\0\1\246\2\0\1\247\2\0"+
    "\7\143\32\0\1\247\33\0\2\241\1\0\2\241\3\0"+
    "\1\246\2\0\1\247\2\0\3\143\36\0\1\247\102\0"+
    "\1\372\30\0\1\372\7\0\1\372\44\0\1\373\30\0"+
    "\1\373\17\0\2\247\1\0\2\247\3\0\1\374\1\375"+
    "\4\0\1\376\1\377\1\u0100\4\376\100\0\1\141\1\0"+
    "\1\141\1\0\7\u0101\134\0\1\u0102\30\0\1\u0102\40\0"+
    "\1\u0103\127\0\1\u0104\30\0\1\u0104\66\0\1\u0105\30\0"+
    "\1\u0105\7\0\1\u0105\1\0\5\157\1\160\5\157\1\161"+
    "\1\157\1\161\1\157\7\u0106\2\157\25\0\4\157\25\0"+
    "\1\157\1\0\10\157\1\160\5\157\1\161\1\157\1\161"+
    "\1\157\7\u0107\2\157\25\0\4\157\25\0\1\157\1\0"+
    "\3\157\43\0\1\u0108\30\0\1\u0108\17\0\2\260\1\0"+
    "\2\260\3\0\1\u0109\1\305\4\0\1\u010a\1\u010b\1\u010c"+
    "\4\u010a\135\0\1\u010d\30\0\1\u010d\7\0\1\u010d\2\0"+
    "\2\325\1\0\2\325\1\0\2\67\1\326\20\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\270\2\0"+
    "\1\103\12\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\270\2\0\1\103\7\0\1\103\2\0\1\325"+
    "\1\262\1\0\2\325\1\0\2\67\1\326\20\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\2\0\1\270\2\0"+
    "\1\103\12\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\270\2\0\1\103\7\0\1\103\44\0\1\u010e"+
    "\30\0\1\u010e\35\0\7\u010f\65\0\1\157\2\262\1\157"+
    "\1\262\1\263\1\157\2\264\1\265\1\157\1\266\1\157"+
    "\1\266\1\157\7\u0110\2\157\2\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\270\2\0\1\103\4\0"+
    "\4\157\2\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\270\2\0\1\103\4\0\1\157\1\0\1\157"+
    "\1\271\1\157\34\0\1\204\30\0\1\204\56\0\1\u0111"+
    "\30\0\1\u0111\31\0\2\273\1\0\2\273\3\0\1\274"+
    "\33\0\1\275\30\0\1\275\57\0\1\u0112\30\0\1\u0112"+
    "\46\0\1\203\30\0\1\203\32\0\2\276\1\0\2\276"+
    "\1\0\1\67\1\0\1\277\20\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\5\0\1\103\12\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\5\0\1\103\7\0\1\103"+
    "\44\0\1\u0113\30\0\1\u0113\35\0\7\u0114\104\0\7\u0115"+
    "\66\0\2\276\1\0\2\276\1\0\1\67\1\0\1\277"+
    "\1\0\1\300\1\0\1\301\1\0\7\u0116\4\0\1\75"+
    "\1\76\1\77\4\0\1\100\1\101\5\0\1\103\12\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\5\0\1\103"+
    "\7\0\1\103\32\0\1\u0117\30\0\1\u0117\73\0\1\u0118"+
    "\30\0\1\u0118\35\0\7\u010a\66\0\2\273\1\0\2\273"+
    "\3\0\1\274\5\0\7\u0119\17\0\1\275\30\0\1\275"+
    "\15\0\2\273\1\0\2\273\3\0\1\274\5\0\5\u0119"+
    "\1\u011a\1\u011b\17\0\1\275\30\0\1\275\15\0\2\273"+
    "\1\0\2\273\3\0\1\274\5\0\1\u011c\6\u0119\17\0"+
    "\1\275\30\0\1\275\15\0\2\u011d\1\0\2\u011d\1\0"+
    "\2\67\1\u011e\1\0\1\u011f\1\72\2\0\7\u0120\5\0"+
    "\1\u0121\1\77\4\0\1\100\3\0\1\102\2\0\1\103"+
    "\7\0\1\72\3\0\1\u0121\1\77\4\0\1\100\3\0"+
    "\1\102\2\0\1\103\7\0\1\103\52\0\1\u0122\30\0"+
    "\1\u0122\47\0\1\u0123\30\0\1\u0123\17\0\1\u0123\43\0"+
    "\1\u0124\30\0\1\u0124\74\0\1\u0125\30\0\1\u0125\51\0"+
    "\1\67\30\0\1\67\45\0\1\67\3\0\1\67\24\0"+
    "\1\67\3\0\1\67\66\0\1\u0126\30\0\1\u0126\57\0"+
    "\1\u0127\1\0\1\u0128\26\0\1\u0127\1\0\1\u0128\15\0"+
    "\1\u0127\2\0\5\157\1\160\7\157\1\264\1\157\7\0"+
    "\2\157\6\0\1\u0129\1\u012a\15\0\4\157\6\0\1\u0129"+
    "\1\u012a\15\0\1\157\1\0\1\u012b\2\157\1\0\2\323"+
    "\1\0\2\323\3\0\1\u012c\20\0\1\u012d\30\0\1\u012d"+
    "\76\0\1\u012e\30\0\1\u012e\13\0\2\325\1\0\2\325"+
    "\1\0\2\67\1\326\1\0\1\327\1\0\1\327\1\0"+
    "\7\u012f\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\2\0\1\270\2\0\1\103\12\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\2\0\1\270\2\0\1\103\7\0"+
    "\1\103\2\0\2\u0130\1\0\2\u0130\1\0\2\67\1\u0131"+
    "\1\0\1\u011f\1\173\2\0\7\u0120\5\0\1\u0121\1\77"+
    "\4\0\1\100\3\0\1\102\2\0\1\103\7\0\1\173"+
    "\3\0\1\u0121\1\77\4\0\1\100\3\0\1\102\2\0"+
    "\1\103\7\0\1\103\3\0\1\332\110\0\5\332\1\333"+
    "\11\332\7\0\2\332\25\210\4\332\25\210\1\332\1\0"+
    "\3\332\51\0\1\u0132\30\0\1\u0132\11\0\2\337\1\0"+
    "\2\337\3\0\1\u0133\1\u0134\4\0\1\u0135\1\u0136\1\u0137"+
    "\4\u0135\130\0\1\u0138\30\0\1\u0138\51\0\1\u0139\30\0"+
    "\1\u0139\56\0\1\u013a\30\0\1\u013a\32\0\2\344\1\0"+
    "\2\344\3\0\1\345\5\0\7\346\130\0\1\u013b\30\0"+
    "\1\u013b\16\0\1\157\2\u013c\1\157\1\u013c\1\u013d\3\157"+
    "\1\u013e\2\157\1\u013f\2\157\7\346\2\157\25\0\3\157"+
    "\1\u013f\25\0\1\157\1\0\3\157\1\0\2\344\1\0"+
    "\2\344\3\0\1\345\3\0\1\344\1\0\7\346\130\0"+
    "\1\u0140\30\0\1\u0140\64\0\1\u0141\30\0\1\u0141\54\0"+
    "\1\u0142\30\0\1\u0142\20\0\5\u0143\1\u0144\11\u0143\7\0"+
    "\2\u0143\25\210\4\u0143\25\210\1\u0143\1\0\3\u0143\43\0"+
    "\1\u0145\30\0\1\u0145\17\0\2\355\1\0\2\355\3\0"+
    "\1\u0146\1\u0147\4\0\1\u0148\1\u0149\1\u014a\4\u0148\132\0"+
    "\1\u014b\30\0\1\u014b\57\0\1\u014c\30\0\1\u014c\17\0"+
    "\2\360\1\0\2\360\3\0\1\u014d\1\363\4\0\1\u014e"+
    "\1\u014f\1\u0150\4\u014e\116\0\1\u0151\30\0\1\u0151\73\0"+
    "\1\u0152\30\0\1\u0152\35\0\7\u014e\66\0\2\273\1\0"+
    "\2\273\3\0\1\274\5\0\7\u0153\17\0\1\275\30\0"+
    "\1\275\15\0\2\273\1\0\2\273\3\0\1\274\5\0"+
    "\5\u0153\1\u0154\1\u0155\17\0\1\275\30\0\1\275\15\0"+
    "\2\273\1\0\2\273\3\0\1\274\5\0\1\u0156\6\u0153"+
    "\17\0\1\275\30\0\1\275\15\0\2\u0157\1\0\2\u0157"+
    "\1\0\2\67\1\u0158\1\0\1\u011f\1\235\2\0\7\u0120"+
    "\5\0\1\u0121\1\77\4\0\1\100\3\0\1\102\2\0"+
    "\1\103\7\0\1\235\3\0\1\u0121\1\77\4\0\1\100"+
    "\3\0\1\102\2\0\1\103\7\0\1\103\20\0\7\u0159"+
    "\104\0\7\u015a\132\0\1\u015b\30\0\1\u015b\45\0\1\u015c"+
    "\30\0\1\u015c\73\0\1\u015d\30\0\1\u015d\35\0\7\376"+
    "\104\0\7\u0143\104\0\5\u0143\1\u015e\1\u015f\104\0\1\u0160"+
    "\6\u0143\66\0\2\241\1\0\2\241\3\0\1\246\2\0"+
    "\1\247\2\0\7\u015a\32\0\1\247\71\0\1\50\4\0"+
    "\1\50\23\0\1\50\4\0\1\50\12\0\1\50\32\0"+
    "\25\u0161\3\0\1\u0161\77\0\1\u0162\30\0\1\u0162\14\0"+
    "\5\157\1\160\5\157\1\161\1\157\1\161\1\157\7\u0163"+
    "\2\157\25\0\4\157\25\0\1\157\1\0\10\157\1\160"+
    "\11\157\7\u0107\2\157\25\0\4\157\25\0\1\157\1\0"+
    "\3\157\31\0\1\u0164\30\0\1\u0164\73\0\1\u0165\30\0"+
    "\1\u0165\35\0\7\u0166\104\0\5\u0166\1\u0167\1\u0168\104\0"+
    "\1\u0169\6\u0166\132\0\1\u016a\30\0\1\u016a\45\0\1\u016b"+
    "\30\0\1\u016b\31\0\2\u016c\1\0\2\u016c\1\0\1\67"+
    "\1\0\1\u016d\1\0\1\327\1\0\1\327\1\0\7\u016e"+
    "\5\0\1\u0121\1\77\4\0\1\100\6\0\1\103\13\0"+
    "\1\u0121\1\77\4\0\1\100\6\0\1\103\7\0\1\103"+
    "\1\0\1\157\2\262\1\157\1\262\1\263\1\157\2\264"+
    "\1\265\1\157\1\u016f\1\157\1\u016f\1\157\7\u0170\2\157"+
    "\2\0\1\75\1\76\1\77\4\0\1\100\1\101\2\0"+
    "\1\270\2\0\1\103\4\0\4\157\2\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\2\0\1\270\2\0\1\103"+
    "\4\0\1\157\1\0\1\157\1\271\1\157\50\0\1\u0171"+
    "\30\0\1\u0171\7\0\1\u0171\32\0\1\u0172\30\0\1\u0172"+
    "\61\0\1\u0173\30\0\1\u0173\31\0\2\276\1\0\2\276"+
    "\1\0\1\67\1\0\1\277\1\0\1\327\1\0\1\327"+
    "\1\0\7\u0174\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\5\0\1\103\12\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\5\0\1\103\7\0\1\103\2\0\2\276"+
    "\1\0\2\276\1\0\1\67\1\0\1\277\1\0\1\300"+
    "\1\0\1\327\1\0\7\u0175\4\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\5\0\1\103\12\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\5\0\1\103\7\0\1\103"+
    "\2\0\2\276\1\0\2\276\1\0\1\67\1\0\1\277"+
    "\1\0\1\u0176\1\0\1\u0177\14\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\5\0\1\103\12\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\5\0\1\103\7\0\1\103"+
    "\51\0\1\u0178\30\0\1\u0178\7\0\1\u0178\32\0\1\u0179"+
    "\30\0\1\u0179\30\0\1\u017a\2\u017b\1\u017a\1\u017b\1\u017c"+
    "\3\u017a\1\u017d\2\u017a\1\u0143\2\u017a\7\167\2\u017a\15\0"+
    "\1\275\7\0\3\u017a\1\u0143\15\0\1\275\7\0\1\u017a"+
    "\1\0\4\u017a\2\u017b\1\u017a\1\u017b\1\u017c\3\u017a\1\u017d"+
    "\2\u017a\1\u0143\2\u017a\4\167\3\306\2\u017a\15\0\1\275"+
    "\7\0\3\u017a\1\u0143\15\0\1\275\7\0\1\u017a\1\0"+
    "\4\u017a\2\u017b\1\u017a\1\u017b\1\u017c\3\u017a\1\u017d\2\u017a"+
    "\1\u0143\2\u017a\7\306\2\u017a\15\0\1\275\7\0\3\u017a"+
    "\1\u0143\15\0\1\275\7\0\1\u017a\1\0\4\u017a\2\u017b"+
    "\1\u017a\1\u017b\1\u017c\3\u017a\1\u017d\2\u017a\1\u0143\2\u017a"+
    "\3\306\4\167\2\u017a\15\0\1\275\7\0\3\u017a\1\u0143"+
    "\15\0\1\275\7\0\1\u017a\1\0\3\u017a\1\0\2\u011d"+
    "\1\0\2\u011d\1\0\2\67\1\u011e\2\0\1\72\16\0"+
    "\1\u0121\1\77\4\0\1\100\3\0\1\102\2\0\1\103"+
    "\7\0\1\72\3\0\1\u0121\1\77\4\0\1\100\3\0"+
    "\1\102\2\0\1\103\7\0\1\103\44\0\1\u017e\30\0"+
    "\1\u017e\35\0\7\u017f\66\0\2\u011d\1\0\2\u011d\1\0"+
    "\2\67\1\u011e\1\0\1\u011f\1\72\2\0\7\u0180\5\0"+
    "\1\u0121\1\77\4\0\1\100\3\0\1\102\2\0\1\103"+
    "\7\0\1\72\3\0\1\u0121\1\77\4\0\1\100\3\0"+
    "\1\102\2\0\1\103\7\0\1\103\45\0\1\u0181\30\0"+
    "\1\u0181\51\0\1\u0182\2\0\1\u0183\25\0\1\u0182\2\0"+
    "\1\u0183\17\0\1\u0183\44\0\1\u0184\1\u0185\27\0\1\u0184"+
    "\1\u0185\46\0\1\u0186\30\0\1\u0186\70\0\1\u0187\30\0"+
    "\1\u0187\17\0\1\u0187\41\0\1\u0188\30\0\1\u0188\17\0"+
    "\1\u0188\32\0\1\u0189\13\0\1\u018a\14\0\1\u0189\13\0"+
    "\1\u018a\51\0\1\u0182\30\0\1\u0182\25\0\5\157\1\160"+
    "\7\157\1\264\1\157\7\0\2\157\25\0\4\157\25\0"+
    "\1\157\1\0\3\157\43\0\1\317\30\0\1\317\61\0"+
    "\1\u018b\30\0\1\u018b\52\0\1\u018c\30\0\1\u018c\66\0"+
    "\1\u018d\30\0\1\u018d\21\0\2\325\1\0\2\325\1\0"+
    "\2\67\1\326\1\0\1\u018e\1\0\1\u018e\1\0\7\u017f"+
    "\4\0\1\75\1\76\1\77\4\0\1\100\1\101\2\0"+
    "\1\270\2\0\1\103\12\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\2\0\1\270\2\0\1\103\7\0\1\103"+
    "\2\0\2\u0130\1\0\2\u0130\1\0\2\67\1\u0131\2\0"+
    "\1\173\16\0\1\u0121\1\77\4\0\1\100\3\0\1\102"+
    "\2\0\1\103\7\0\1\173\3\0\1\u0121\1\77\4\0"+
    "\1\100\3\0\1\102\2\0\1\103\7\0\1\103\44\0"+
    "\1\u018f\30\0\1\u018f\46\0\1\337\3\0\1\337\24\0"+
    "\1\337\3\0\1\337\70\0\1\u0190\30\0\1\u0190\35\0"+
    "\7\u0135\104\0\7\u0191\104\0\5\u0191\1\u0192\1\u0193\104\0"+
    "\1\u0194\6\u0191\124\0\1\u0195\30\0\1\u0195\17\0\1\u0195"+
    "\2\0\2\u0196\4\0\105\u0196\47\0\1\u0197\30\0\1\u0197"+
    "\43\0\1\u0198\30\0\1\u0198\31\0\2\u0199\1\0\2\u0199"+
    "\3\0\1\u019a\2\0\1\u019b\43\0\1\u019b\33\0\1\u0199"+
    "\1\u013c\1\0\2\u0199\3\0\1\u019a\2\0\1\u019b\43\0"+
    "\1\u019b\75\0\1\u019c\30\0\1\u019c\17\0\2\u019b\1\0"+
    "\2\u019b\3\0\1\u019d\5\0\7\u0107\115\0\1\344\3\0"+
    "\1\344\24\0\1\344\3\0\1\344\77\0\1\114\30\0"+
    "\1\114\46\0\1\u019e\30\0\1\u019e\17\0\1\u019e\4\0"+
    "\1\u0143\141\0\1\u019f\30\0\1\u019f\73\0\1\u01a0\30\0"+
    "\1\u01a0\35\0\7\u0148\104\0\7\u01a1\104\0\5\u01a1\1\u01a2"+
    "\1\u01a3\104\0\1\u01a4\6\u01a1\114\0\1\40\114\0\1\u01a5"+
    "\30\0\1\u01a5\73\0\1\u01a6\30\0\1\u01a6\35\0\7\u01a7"+
    "\104\0\5\u01a7\1\u01a8\1\u01a9\104\0\1\u01aa\6\u01a7\135\0"+
    "\1\u01ab\30\0\1\u01ab\7\0\1\u01ab\32\0\1\u01ac\30\0"+
    "\1\u01ac\30\0\1\u0143\2\u01ad\1\u0143\1\u01ad\1\u01ae\3\u0143"+
    "\1\u01af\5\u0143\7\167\2\u0143\15\0\1\275\7\0\4\u0143"+
    "\15\0\1\275\7\0\1\u0143\1\0\4\u0143\2\u01ad\1\u0143"+
    "\1\u01ad\1\u01ae\3\u0143\1\u01af\5\u0143\4\167\3\364\2\u0143"+
    "\15\0\1\275\7\0\4\u0143\15\0\1\275\7\0\1\u0143"+
    "\1\0\4\u0143\2\u01ad\1\u0143\1\u01ad\1\u01ae\3\u0143\1\u01af"+
    "\5\u0143\7\364\2\u0143\15\0\1\275\7\0\4\u0143\15\0"+
    "\1\275\7\0\1\u0143\1\0\4\u0143\2\u01ad\1\u0143\1\u01ad"+
    "\1\u01ae\3\u0143\1\u01af\5\u0143\3\364\4\167\2\u0143\15\0"+
    "\1\275\7\0\4\u0143\15\0\1\275\7\0\1\u0143\1\0"+
    "\3\u0143\1\0\2\u0157\1\0\2\u0157\1\0\2\67\1\u0158"+
    "\2\0\1\235\16\0\1\u0121\1\77\4\0\1\100\3\0"+
    "\1\102\2\0\1\103\7\0\1\235\3\0\1\u0121\1\77"+
    "\4\0\1\100\3\0\1\102\2\0\1\103\7\0\1\103"+
    "\44\0\1\u01b0\30\0\1\u01b0\31\0\1\u01b1\1\0\1\u01b1"+
    "\114\0\7\u01b2\114\0\1\50\133\0\1\u01b3\30\0\1\u01b3"+
    "\7\0\1\u01b3\32\0\1\u01b4\30\0\1\u01b4\53\0\3\376"+
    "\104\0\3\376\117\0\1\u01b5\1\0\25\u0161\3\0\1\u0161"+
    "\61\0\1\14\63\0\5\157\1\160\5\157\1\161\1\157"+
    "\1\161\1\157\7\0\2\157\25\0\4\157\25\0\1\157"+
    "\1\0\3\157\50\0\1\u01b6\30\0\1\u01b6\7\0\1\u01b6"+
    "\32\0\1\u01b7\30\0\1\u01b7\30\0\1\u017a\2\u01b8\1\u017a"+
    "\1\u01b8\1\u01b9\3\u017a\1\u01ba\2\u017a\1\u0143\2\u017a\7\0"+
    "\2\u017a\25\0\3\u017a\1\u0143\25\0\1\u017a\1\0\4\u017a"+
    "\2\u01b8\1\u017a\1\u01b8\1\u01b9\3\u017a\1\u01ba\2\u017a\1\u0143"+
    "\2\u017a\4\0\3\u010a\2\u017a\25\0\3\u017a\1\u0143\25\0"+
    "\1\u017a\1\0\4\u017a\2\u01b8\1\u017a\1\u01b8\1\u01b9\3\u017a"+
    "\1\u01ba\2\u017a\1\u0143\2\u017a\7\u010a\2\u017a\25\0\3\u017a"+
    "\1\u0143\25\0\1\u017a\1\0\4\u017a\2\u01b8\1\u017a\1\u01b8"+
    "\1\u01b9\3\u017a\1\u01ba\2\u017a\1\u0143\2\u017a\3\u010a\4\0"+
    "\2\u017a\25\0\3\u017a\1\u0143\25\0\1\u017a\1\0\3\u017a"+
    "\27\0\1\66\133\0\1\u01bb\30\0\1\u01bb\7\0\1\u01bb"+
    "\2\0\2\u016c\1\0\2\u016c\1\0\1\67\1\0\1\u016d"+
    "\21\0\1\u0121\1\77\4\0\1\100\6\0\1\103\13\0"+
    "\1\u0121\1\77\4\0\1\100\6\0\1\103\7\0\1\103"+
    "\44\0\1\u01bc\30\0\1\u01bc\17\0\2\u016c\1\0\2\u016c"+
    "\1\0\1\67\1\0\1\u016d\1\0\1\327\1\0\1\327"+
    "\1\0\7\u01bd\5\0\1\u0121\1\77\4\0\1\100\6\0"+
    "\1\103\13\0\1\u0121\1\77\4\0\1\100\6\0\1\103"+
    "\7\0\1\103\20\0\7\u01be\65\0\1\157\2\u01bf\1\157"+
    "\1\u01bf\1\u01c0\2\157\1\264\1\u01c1\5\157\7\u0170\2\157"+
    "\15\0\1\270\7\0\4\157\15\0\1\270\7\0\1\157"+
    "\1\0\3\157\45\0\1\u01c2\30\0\1\u01c2\64\0\1\u01c3"+
    "\30\0\1\u01c3\7\0\1\u01c3\51\0\1\u01c4\30\0\1\u01c4"+
    "\7\0\1\u01c4\2\0\2\276\1\0\2\276\1\0\1\67"+
    "\1\0\1\277\1\0\1\327\1\0\1\327\1\0\7\u01c5"+
    "\4\0\1\75\1\76\1\77\4\0\1\100\1\101\5\0"+
    "\1\103\12\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\5\0\1\103\7\0\1\103\2\0\2\276\1\0\2\276"+
    "\1\0\1\67\1\0\1\277\1\0\1\300\1\0\1\327"+
    "\1\0\7\u01c6\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\5\0\1\103\12\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\5\0\1\103\7\0\1\103\20\0\7\u01c7"+
    "\104\0\7\u01c8\132\0\1\u01c9\30\0\1\u01c9\64\0\1\u01ca"+
    "\30\0\1\u01ca\7\0\1\u01ca\2\0\2\u01cb\1\0\2\u01cb"+
    "\3\0\1\u01cc\2\0\1\u0143\30\0\1\275\12\0\1\u0143"+
    "\15\0\1\275\15\0\1\u01cb\1\u017b\1\0\2\u01cb\3\0"+
    "\1\u01cc\2\0\1\u0143\30\0\1\275\12\0\1\u0143\15\0"+
    "\1\275\57\0\1\u01cd\30\0\1\u01cd\47\0\1\u01ce\30\0"+
    "\1\u01ce\31\0\2\u01cf\1\0\2\u01cf\2\0\1\67\1\u01d0"+
    "\5\0\7\u017f\17\0\1\270\30\0\1\270\15\0\2\u011d"+
    "\1\0\2\u011d\1\0\2\67\1\u011e\1\0\1\u011f\1\72"+
    "\2\0\7\u01d1\5\0\1\u0121\1\77\4\0\1\100\3\0"+
    "\1\102\2\0\1\103\7\0\1\72\3\0\1\u0121\1\77"+
    "\4\0\1\100\3\0\1\102\2\0\1\103\7\0\1\103"+
    "\42\0\1\314\30\0\1\314\70\0\1\u01d2\30\0\1\u01d2"+
    "\7\0\1\u01d2\44\0\1\u0188\30\0\1\u0188\55\0\1\u01d3"+
    "\4\0\1\u01d3\23\0\1\u01d3\4\0\1\u01d3\12\0\1\u01d3"+
    "\32\0\1\u01d3\3\0\1\u01d3\24\0\1\u01d3\3\0\1\u01d3"+
    "\74\0\1\u01d4\30\0\1\u01d4\55\0\1\u0185\30\0\1\u0185"+
    "\46\0\1\u01d5\30\0\1\u01d5\100\0\1\u01d6\30\0\1\u01d6"+
    "\55\0\1\u01d7\30\0\1\u01d7\47\0\1\u01d8\30\0\1\u01d8"+
    "\73\0\1\u01d9\30\0\1\u01d9\55\0\1\u012a\30\0\1\u012a"+
    "\17\0\1\u012a\33\0\1\u01da\30\0\1\u01da\61\0\1\u01db"+
    "\30\0\1\u01db\31\0\2\u0191\1\0\2\u0191\3\0\1\u01dc"+
    "\2\0\1\u01dd\43\0\1\u01dd\33\0\2\u0191\1\0\2\u0191"+
    "\3\0\1\u01dc\2\0\1\u01dd\6\0\3\u0135\32\0\1\u01dd"+
    "\33\0\2\u0191\1\0\2\u0191\3\0\1\u01dc\2\0\1\u01dd"+
    "\2\0\7\u0135\32\0\1\u01dd\33\0\2\u0191\1\0\2\u0191"+
    "\3\0\1\u01dc\2\0\1\u01dd\2\0\3\u0135\36\0\1\u01dd"+
    "\76\0\1\337\30\0\1\337\35\0\1\u01de\131\0\1\14"+
    "\4\0\1\14\23\0\1\14\4\0\1\14\12\0\1\14"+
    "\52\0\1\u01df\30\0\1\u01df\7\0\1\u01df\32\0\1\u01e0"+
    "\30\0\1\u01e0\73\0\1\u01e1\30\0\1\u01e1\61\0\1\220"+
    "\30\0\1\220\66\0\1\u01e2\30\0\1\u01e2\7\0\1\u01e2"+
    "\32\0\1\u01e3\30\0\1\u01e3\30\0\5\u0143\1\u0144\11\u0143"+
    "\7\0\2\u0143\25\0\4\u0143\25\0\1\u0143\1\0\10\u0143"+
    "\1\u0144\11\u0143\4\0\3\u0148\2\u0143\25\0\4\u0143\25\0"+
    "\1\u0143\1\0\10\u0143\1\u0144\11\u0143\7\u0148\2\u0143\25\0"+
    "\4\u0143\25\0\1\u0143\1\0\10\u0143\1\u0144\11\u0143\3\u0148"+
    "\4\0\2\u0143\25\0\4\u0143\25\0\1\u0143\1\0\3\u0143"+
    "\50\0\1\u01e4\30\0\1\u01e4\7\0\1\u01e4\32\0\1\u01e5"+
    "\30\0\1\u01e5\30\0\1\u0143\2\u01e6\1\u0143\1\u01e6\1\u01e7"+
    "\3\u0143\1\u01e8\5\u0143\7\0\2\u0143\25\0\4\u0143\25\0"+
    "\1\u0143\1\0\4\u0143\2\u01e6\1\u0143\1\u01e6\1\u01e7\3\u0143"+
    "\1\u01e8\5\u0143\4\0\3\u014e\2\u0143\25\0\4\u0143\25\0"+
    "\1\u0143\1\0\4\u0143\2\u01e6\1\u0143\1\u01e6\1\u01e7\3\u0143"+
    "\1\u01e8\5\u0143\7\u014e\2\u0143\25\0\4\u0143\25\0\1\u0143"+
    "\1\0\4\u0143\2\u01e6\1\u0143\1\u01e6\1\u01e7\3\u0143\1\u01e8"+
    "\5\u0143\3\u014e\4\0\2\u0143\25\0\4\u0143\25\0\1\u0143"+
    "\1\0\3\u0143\45\0\1\u01e9\30\0\1\u01e9\64\0\1\u01ea"+
    "\30\0\1\u01ea\7\0\1\u01ea\2\0\1\u01cb\1\u01ad\1\0"+
    "\2\u01cb\3\0\1\u01cc\2\0\1\u0143\30\0\1\275\12\0"+
    "\1\u0143\15\0\1\275\45\0\1\u01eb\30\0\1\u01eb\47\0"+
    "\7\u01ec\104\0\7\u01ed\132\0\1\u01ee\30\0\1\u01ee\64\0"+
    "\1\u01ef\30\0\1\u01ef\7\0\1\u01ef\1\0\2\u01b5\1\0"+
    "\2\u01b5\2\0\17\u01b5\1\u01f0\26\u01b5\1\0\1\u01b5\1\0"+
    "\33\u01b5\45\0\1\u01f1\30\0\1\u01f1\64\0\1\u01f2\30\0"+
    "\1\u01f2\7\0\1\u01f2\2\0\2\u01f3\1\0\2\u01f3\3\0"+
    "\1\u01f4\2\0\1\u0143\43\0\1\u0143\33\0\1\u01f3\1\u01b8"+
    "\1\0\2\u01f3\3\0\1\u01f4\2\0\1\u0143\43\0\1\u0143"+
    "\75\0\1\u01f5\30\0\1\u01f5\63\0\1\u01f6\30\0\1\u01f6"+
    "\45\0\1\u01f7\30\0\1\u01f7\31\0\2\u016c\1\0\2\u016c"+
    "\1\0\1\67\1\0\1\u016d\1\0\1\327\1\0\1\327"+
    "\15\0\1\u0121\1\77\4\0\1\100\6\0\1\103\13\0"+
    "\1\u0121\1\77\4\0\1\100\6\0\1\103\7\0\1\103"+
    "\2\0\2\u016c\1\0\2\u016c\1\0\1\67\1\0\1\u016d"+
    "\1\0\1\327\1\0\1\327\1\0\7\u01f8\5\0\1\u0121"+
    "\1\77\4\0\1\100\6\0\1\103\13\0\1\u0121\1\77"+
    "\4\0\1\100\6\0\1\103\7\0\1\103\2\0\2\u01cf"+
    "\1\0\2\u01cf\2\0\1\67\1\u01d0\33\0\1\270\30\0"+
    "\1\270\15\0\1\u01cf\1\u01bf\1\0\2\u01cf\2\0\1\67"+
    "\1\u01d0\33\0\1\270\30\0\1\270\57\0\1\u01f9\30\0"+
    "\1\u01f9\45\0\1\72\130\0\1\u01fa\30\0\1\u01fa\61\0"+
    "\1\u01fb\30\0\1\u01fb\15\0\2\276\1\0\2\276\1\0"+
    "\1\67\1\0\1\277\1\0\1\327\1\0\1\327\14\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\5\0\1\103"+
    "\12\0\1\75\1\76\1\77\4\0\1\100\1\101\5\0"+
    "\1\103\7\0\1\103\2\0\2\276\1\0\2\276\1\0"+
    "\1\67\1\0\1\277\1\0\1\300\1\0\1\327\14\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\5\0\1\103"+
    "\12\0\1\75\1\76\1\77\4\0\1\100\1\101\5\0"+
    "\1\103\7\0\1\103\2\0\2\276\1\0\2\276\1\0"+
    "\1\67\1\0\1\277\1\0\1\327\1\0\1\327\1\0"+
    "\7\u01fc\4\0\1\75\1\76\1\77\4\0\1\100\1\101"+
    "\5\0\1\103\12\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\5\0\1\103\7\0\1\103\2\0\2\276\1\0"+
    "\2\276\1\0\1\67\1\0\1\277\1\0\1\300\1\0"+
    "\1\327\1\0\7\u01fd\4\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\5\0\1\103\12\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\5\0\1\103\7\0\1\103\30\0"+
    "\1\171\130\0\1\u01fe\30\0\1\u01fe\45\0\1\u01ff\30\0"+
    "\1\u01ff\100\0\1\u0200\30\0\1\u0200\7\0\1\u0200\1\0"+
    "\1\157\2\u0201\1\157\1\u0201\1\u0202\1\157\2\264\1\u0203"+
    "\1\157\1\u0204\1\u0205\2\157\7\u01d1\5\157\1\u0206\1\u0207"+
    "\4\157\1\u0208\3\157\1\u0209\2\157\1\271\7\157\1\u0205"+
    "\3\157\1\u0206\1\u0207\4\157\1\u0208\3\157\1\u0209\2\157"+
    "\1\271\7\157\1\271\1\157\37\0\1\u020a\30\0\1\u020a"+
    "\17\0\1\u020a\2\0\1\157\2\u020b\1\157\1\u020b\1\u020c"+
    "\1\157\1\264\1\157\1\u020d\5\157\7\0\2\157\3\0"+
    "\1\u020e\1\77\4\0\1\100\6\0\1\103\4\0\4\157"+
    "\3\0\1\u020e\1\77\4\0\1\100\6\0\1\103\4\0"+
    "\1\157\1\0\1\157\1\271\1\157\37\0\1\67\4\0"+
    "\1\67\23\0\1\67\4\0\1\67\12\0\1\67\41\0"+
    "\1\u020f\30\0\1\u020f\17\0\1\u020f\35\0\1\u0184\30\0"+
    "\1\u0184\62\0\1\u01d3\2\0\1\u01d3\25\0\1\u01d3\2\0"+
    "\1\u01d3\17\0\1\u01d3\52\0\1\u0210\30\0\1\u0210\7\0"+
    "\1\u0210\52\0\1\316\30\0\1\316\60\0\1\u0211\30\0"+
    "\1\u0211\7\0\1\u0211\51\0\1\u0212\30\0\1\u0212\7\0"+
    "\1\u0212\44\0\1\u0213\30\0\1\u0213\17\0\2\u01dd\1\0"+
    "\2\u01dd\3\0\1\u0214\1\u0215\4\0\1\u0216\1\u0217\1\u0218"+
    "\4\u0216\112\0\1\67\132\0\1\u0219\30\0\1\u0219\64\0"+
    "\1\u021a\30\0\1\u021a\7\0\1\u021a\32\0\1\u021b\30\0"+
    "\1\u021b\75\0\1\u021c\30\0\1\u021c\64\0\1\u021d\30\0"+
    "\1\u021d\7\0\1\u021d\46\0\1\u021e\30\0\1\u021e\64\0"+
    "\1\u021f\30\0\1\u021f\7\0\1\u021f\2\0\1\u01f3\1\u01e6"+
    "\1\0\2\u01f3\3\0\1\u01f4\2\0\1\u0143\43\0\1\u0143"+
    "\61\0\1\233\130\0\1\u0220\30\0\1\u0220\64\0\1\u0221"+
    "\30\0\1\u0221\7\0\1\u0221\20\0\7\u0222\65\0\5\157"+
    "\1\160\11\157\7\u01ed\65\157\27\0\1\241\130\0\1\u0223"+
    "\30\0\1\u0223\33\0\7\u0224\114\0\1\163\130\0\1\u0225"+
    "\30\0\1\u0225\45\0\1\u0226\30\0\1\u0226\57\0\1\325"+
    "\133\0\1\u0227\30\0\1\u0227\7\0\1\u0227\2\0\2\u016c"+
    "\1\0\2\u016c\1\0\1\67\1\0\1\u016d\1\0\1\327"+
    "\1\0\1\327\1\0\7\u0228\5\0\1\u0121\1\77\4\0"+
    "\1\100\6\0\1\103\13\0\1\u0121\1\77\4\0\1\100"+
    "\6\0\1\103\7\0\1\103\32\0\1\u0229\30\0\1\u0229"+
    "\57\0\1\273\112\0\1\276\64\0\2\276\1\0\2\276"+
    "\1\0\1\67\1\0\1\277\1\0\1\327\1\0\1\327"+
    "\1\0\7\u022a\4\0\1\75\1\76\1\77\4\0\1\100"+
    "\1\101\5\0\1\103\12\0\1\75\1\76\1\77\4\0"+
    "\1\100\1\101\5\0\1\103\7\0\1\103\2\0\2\276"+
    "\1\0\2\276\1\0\1\67\1\0\1\277\1\0\1\300"+
    "\1\0\1\327\1\0\7\u022b\4\0\1\75\1\76\1\77"+
    "\4\0\1\100\1\101\5\0\1\103\12\0\1\75\1\76"+
    "\1\77\4\0\1\100\1\101\5\0\1\103\7\0\1\103"+
    "\30\0\1\173\133\0\1\u022c\30\0\1\u022c\7\0\1\u022c"+
    "\46\0\1\u022d\30\0\1\u022d\15\0\1\u011d\1\u0201\1\0"+
    "\2\u011d\1\0\2\67\1\u011e\2\0\1\72\16\0\1\u0121"+
    "\1\77\4\0\1\100\3\0\1\102\2\0\1\103\7\0"+
    "\1\72\3\0\1\u0121\1\77\4\0\1\100\3\0\1\102"+
    "\2\0\1\103\7\0\1\103\43\0\1\u0184\30\0\1\u0184"+
    "\20\0\2\u022e\1\0\2\u022e\1\0\1\67\1\0\1\u022f"+
    "\21\0\1\u020e\1\77\4\0\1\100\6\0\1\103\13\0"+
    "\1\u020e\1\77\4\0\1\100\6\0\1\103\7\0\1\103"+
    "\2\0\1\u022e\1\u020b\1\0\2\u022e\1\0\1\67\1\0"+
    "\1\u022f\21\0\1\u020e\1\77\4\0\1\100\6\0\1\103"+
    "\13\0\1\u020e\1\77\4\0\1\100\6\0\1\103\7\0"+
    "\1\103\44\0\1\u0230\30\0\1\u0230\30\0\1\u016c\21\0"+
    "\1\u0231\2\0\1\u016c\4\0\1\u0181\20\0\1\u0231\2\0"+
    "\1\u016c\4\0\1\u0181\12\0\1\u016c\32\0\1\u01d3\13\0"+
    "\1\u01d3\14\0\1\u01d3\13\0\1\u01d3\62\0\1\u0232\30\0"+
    "\1\u0232\61\0\1\u0233\30\0\1\u0233\61\0\1\u0234\30\0"+
    "\1\u0234\45\0\1\u0235\30\0\1\u0235\73\0\1\u0236\30\0"+
    "\1\u0236\35\0\7\u0216\104\0\7\67\104\0\5\67\1\u0237"+
    "\1\u0238\104\0\1\u0239\6\67\114\0\1\344\130\0\1\u023a"+
    "\30\0\1\u023a\64\0\1\u023b\30\0\1\u023b\7\0\1\u023b"+
    "\30\0\1\225\130\0\1\u023c\30\0\1\u023c\43\0\1\232"+
    "\130\0\1\u023d\30\0\1\u023d\43\0\1\235\130\0\1\u023e"+
    "\30\0\1\u023e\33\0\7\u023f\114\0\1\247\102\0\7\u0224"+
    "\31\0\1\u0240\62\0\1\260\133\0\1\u0241\30\0\1\u0241"+
    "\7\0\1\u0241\46\0\1\u0242\30\0\1\u0242\14\0\1\157"+
    "\2\u0243\1\157\1\u0243\1\u0244\1\157\1\264\1\157\1\u0245"+
    "\1\157\1\u016f\1\157\1\u016f\1\157\7\0\5\157\1\u0206"+
    "\1\u0207\4\157\1\u0208\6\157\1\271\13\157\1\u0206\1\u0207"+
    "\4\157\1\u0208\6\157\1\271\7\157\1\271\1\157\50\0"+
    "\1\u0246\30\0\1\u0246\7\0\1\u0246\1\0\1\157\2\u0247"+
    "\1\157\1\u0247\1\u0248\1\157\1\264\1\157\1\u0249\1\157"+
    "\1\u016f\1\157\1\u016f\1\157\7\0\4\157\1\u024a\1\u024b"+
    "\1\u0207\4\157\1\u0208\1\u024c\5\157\1\271\12\157\1\u024a"+
    "\1\u024b\1\u0207\4\157\1\u0208\1\u024c\5\157\1\271\7\157"+
    "\1\271\2\157\2\u0247\1\157\1\u0247\1\u0248\1\157\1\264"+
    "\1\157\1\u0249\1\157\1\u024d\1\157\1\u016f\1\157\7\0"+
    "\4\157\1\u024a\1\u024b\1\u0207\4\157\1\u0208\1\u024c\5\157"+
    "\1\271\12\157\1\u024a\1\u024b\1\u0207\4\157\1\u0208\1\u024c"+
    "\5\157\1\271\7\157\1\271\1\157\45\0\1\u024e\30\0"+
    "\1\u024e\43\0\1\u011d\114\0\1\u024f\30\0\1\u024f\66\0"+
    "\1\u0250\1\u016c\1\0\1\u0251\25\0\1\u0250\1\u016c\1\0"+
    "\1\u0251\15\0\1\u016c\31\0\1\323\112\0\1\u0130\112\0"+
    "\1\337\133\0\1\u0252\30\0\1\u0252\7\0\1\u0252\32\0"+
    "\1\u0253\30\0\1\u0253\30\0\5\157\1\160\11\157\4\0"+
    "\3\u0216\2\157\25\0\4\157\25\0\1\157\1\0\10\157"+
    "\1\160\11\157\7\u0216\2\157\25\0\4\157\25\0\1\157"+
    "\1\0\10\157\1\160\11\157\3\u0216\4\0\2\157\25\0"+
    "\4\157\25\0\1\157\1\0\3\157\27\0\1\u0199\130\0"+
    "\1\u0254\30\0\1\u0254\43\0\1\355\112\0\1\360\112\0"+
    "\1\u0157\63\0\5\157\1\160\5\157\1\u0255\1\157\1\u0255"+
    "\1\157\7\0\65\157\45\0\1\u0256\30\0\1\u0256\43\0"+
    "\1\u016c\64\0\1\u016c\1\u0243\1\0\2\u016c\1\0\1\67"+
    "\1\0\1\u016d\21\0\1\u0121\1\77\4\0\1\100\6\0"+
    "\1\103\13\0\1\u0121\1\77\4\0\1\100\6\0\1\103"+
    "\7\0\1\103\46\0\1\u0257\30\0\1\u0257\15\0\1\276"+
    "\1\u0247\1\0\2\276\1\0\1\67\1\0\1\277\20\0"+
    "\1\75\1\76\1\77\4\0\1\100\1\101\5\0\1\103"+
    "\12\0\1\75\1\76\1\77\4\0\1\100\1\101\5\0"+
    "\1\103\7\0\1\103\30\0\1\u01cb\133\0\1\u0258\30\0"+
    "\1\u0258\7\0\1\u0258\42\0\1\u0259\30\0\1\u0259\21\0"+
    "\2\u016c\1\0\2\u016c\1\0\1\67\1\0\1\u016d\21\0"+
    "\1\u0121\1\77\4\0\1\u025a\6\0\1\103\13\0\1\u0121"+
    "\1\77\4\0\1\u025a\6\0\1\103\7\0\1\103\46\0"+
    "\1\u025b\30\0\1\u025b\64\0\1\u025c\30\0\1\u025c\7\0"+
    "\1\u025c\30\0\1\u019b\112\0\1\u01f3\112\0\1\u01cf\130\0"+
    "\1\u025d\30\0\1\u025d\53\0\1\u016c\30\0\1\u016c\17\0"+
    "\1\u016c\14\0\1\u016c\15\0\1\u016c\3\0\1\u016c\2\0"+
    "\1\201\4\0\1\u016c\14\0\1\u016c\3\0\1\u016c\2\0"+
    "\1\201\4\0\1\u016c\12\0\1\201\31\0\1\u0191\130\0"+
    "\1\u025e\30\0\1\u025e\43\0\1\u022e\112\0\1\u01dd\63\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[41700];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\2\0\3\1\1\11\3\1\1\11\1\1\143\0\1\11"+
    "\2\1\100\0\5\1\2\0\1\1\40\0\1\11\3\1"+
    "\2\0\1\1\12\0\1\1\30\0\1\11\46\0\1\1"+
    "\20\0\4\1\3\0\1\11\1\1\31\0\3\1\16\0"+
    "\1\1\12\0\1\11\3\1\57\0\3\1\10\0\3\1"+
    "\4\0\3\1\44\0\3\1\30\0\11\1\1\0\3\1"+
    "\62\0\1\11\2\0\3\1\1\0\7\1\7\0\1\1"+
    "\11\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[606];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
		
	S006_MaskAcronymsIgnoreNumbers() { }

	private boolean checkAnni() {
	
		String first = Util.readFirstNumber(yytext());
		String second = Util.readSecondNumber(yytext()); 
		
		if(first.length() == 4) first = first.substring(2,4);
		if(second.length() == 4) second = second.substring(2,4);
		
		if(first.equals("99") && second.equals("00")) return true;
		
		try {
			int firstInt = Integer.valueOf(first);
			int secondInt = Integer.valueOf(second);
			
			if( (firstInt + 1) == secondInt) return true;
		
		} catch (NumberFormatException e) {
			// ???
			return false;
		}
		
		return false;	
	}
		


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S006_MaskAcronymsIgnoreNumbers(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 9: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 10: break;
          case 3:
            { annotate(new AnnotationEntity(Entity.IGN), "", true, true);
            }
          // fall through
          case 11: break;
          case 4:
            { annotate(new AnnotationEntity(Entity.MASK), "", true, true);
            }
          // fall through
          case 12: break;
          case 5:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 13: break;
          case 6:
            { addText(); position += yylength();
            }
          // fall through
          case 14: break;
          case 7:
            { if(checkAnni()) {
	
		annotate(new AnnotationEntity(Entity.IGN), "", true, true);
		
	} else {
	
		addText();
		position += yylength();
	}
            }
          // fall through
          case 15: break;
          case 8:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 16: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S006_MaskAcronymsIgnoreNumbers [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S006_MaskAcronymsIgnoreNumbers scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S006_MaskAcronymsIgnoreNumbers(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
